<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="CATEGORIES-LIST">
		<table width="100%" cellspacing="0" cellpadding="0" border="0" style="border-collapse:collapse;">
			<xsl:call-template name="FOTOLIA-CATEGORY-DRAW-ROWS">
				<xsl:with-param name="rowsNumber" select="round(count(CATEGORY) div 3 + 0.4999)"/>
			</xsl:call-template>
		</table>
		<script type="text/javascript" language="javascript">
			<xsl:apply-templates select="CATEGORY" mode="init"/>
		</script>
	</xsl:template>

	<xsl:template name="FOTOLIA-CATEGORY-DRAW-ROWS">
		<xsl:param name="i" select="1"/>
		<xsl:param name="rowsNumber"/>

		<tr>
			<xsl:call-template name="FOTOLIA-CATEGORY-DRAW-CELLS">
				<xsl:with-param name="rowNumber" select="$i"/>
			</xsl:call-template>
		</tr>
		<xsl:if test="$i &lt; $rowsNumber">
			<xsl:call-template name="FOTOLIA-CATEGORY-DRAW-ROWS">
				<xsl:with-param name="i" select="$i + 1"/>
				<xsl:with-param name="rowsNumber" select="$rowsNumber"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template name="FOTOLIA-CATEGORY-DRAW-CELLS">
		<xsl:param name="i" select="1"/>
		<xsl:param name="rowNumber"/>
		<xsl:param name="cellsNumber" select="3"/>

		<xsl:variable name="categoryPosition" select="($rowNumber - 1) * $cellsNumber + $i"/>

		<td align="left" valign="top" style="width: 33%; padding: 0px 30px 10px 0px;">
			<xsl:apply-templates select="CATEGORY[position() = $categoryPosition]"/>
		</td>
		<xsl:if test="$i &lt; $cellsNumber">
			<xsl:call-template name="FOTOLIA-CATEGORY-DRAW-CELLS">
				<xsl:with-param name="i" select="$i + 1"/>
				<xsl:with-param name="rowNumber" select="$rowNumber"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template match="CATEGORIES-LIST/CATEGORY">
		<table width="100%" cellspacing="0" cellpadding="2" border="0">
			<tr>
				<td width="7px">
					<img src="{$skinPath}/images/list_image.gif" alt="" width="7" height="7" style="border-width:0px;"/>
				</td>
				<td>
					<a id="Fotolia_{@TYPE}_category_{@ID}" class="sb-fotolia-title-link" href="#"><xsl:value-of select="@TITLE"/></a>
				</td>
			</tr>
			<tr>
				<td width="7px">
					<img src="/images/blank.gif" alt="" width="7" height="7"/>
				</td>
				<td style="padding: 0px 0px 12px 0px">
					<xsl:apply-templates select="CATEGORY"/>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="CATEGORIES-LIST/CATEGORY/CATEGORY">
		<a id="Fotolia_{@TYPE}_category_{@ID}" class="sb-fotolia-link" href="#"><xsl:value-of select="@TITLE"/></a>
		<xsl:if test="position() != last()">, </xsl:if>
	</xsl:template>

	<xsl:template match="CATEGORY" mode="init">
		InitCategory('<xsl:value-of select="@TYPE"/>', '<xsl:value-of select="@ID"/>', '<xsl:value-of select="@JS-SAFE-TITLE"/>', '<xsl:value-of select="@PARENT-ID"/>');
		<xsl:apply-templates select="CATEGORY" mode="init"/>
	</xsl:template>

</xsl:stylesheet>