<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="VIEW-CONTENT">
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="IMAGE-PREVIEW">
		<xsl:apply-templates select="INFO"/>
	</xsl:template>

	<xsl:template match="IMAGE-PREVIEW/INFO">
		<table cellpadding="0" cellspacing="0" style="border: #000000 1px solid; background-color: #FFFFFF;">
			<tr>
				<td>
					<img id="ImagePreviewContainer_{@ID}_Image" src="{THUMBNAIL-URL}" alt="{TITLE}" title="{TITLE}" width="{round(THUMBNAIL-WIDTH)}px" height="{round(THUMBNAIL-HEIGHT)}px" />
				</td>
			</tr>
			<tr>
				<td style="background-color: #DBDBDB;">
					<table border="0" cellpadding="0" cellspacing="5" style=" width:{round(THUMBNAIL-WIDTH)}px; border-top: #000000 1px solid;">
						<tr>
							<td style="font-weight: bold;">
								<xsl:value-of select="TITLE"/>&#160;&#0169;&#160;<xsl:value-of select="CREATOR-NAME"/>&#160;#<xsl:value-of select="ID"/>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:apply-templates select="../CHIPEST-LICENSE-DETAILS"/>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:apply-templates select="../REPRESENTATIVE-CATEGORY"/>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:apply-templates select="../CONCEPTUAL-CATEGORY"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="IMAGE-PREVIEW/CHIPEST-LICENSE-DETAILS">
		<xsl:value-of select="."/>
	</xsl:template>

	<xsl:template match="IMAGE-PREVIEW/REPRESENTATIVE-CATEGORY|IMAGE-PREVIEW/CONCEPTUAL-CATEGORY">
		<xsl:apply-templates select="HIERARCHY"/>
	</xsl:template>

	<xsl:template match="HIERARCHY">
		<xsl:for-each select="*">
			<span><xsl:value-of select="NAME"/></span>
			<xsl:if test="position() != last()"> &#0062; </xsl:if>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>