<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="VIEW-CONTENT">
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="ERROR">
		<xsl:value-of select="."/>
	</xsl:template>

	<xsl:template match="SEARCH-IMAGES-LIST">
		<fieldset>
			<legend><xsl:value-of select="@TITLE"/></legend>
			<div class="fieldset-block">
				<script language="javascript">
					self.pagedList = self.parent.fotoliaSearchFormManager;
					self.parent.fotoliaSearchFormManager.imagesList = new FotoliaSearchFormImageList(
						self.parent.fotoliaSearchFormManager.getSelectedImageId()
					);
				</script>
				<table border="0" cellpadding="0" cellspacing="0" style="width:100%; height:100%;">
					<xsl:if test="PAGED-OBJECT-LIST/PAGER/TOTAL-RECORDS &gt; 0">
						<tr><td valign="top">
							<xsl:value-of select="@DESCRIPTION"/>
							<div style="width: 0; height: 10px;"><span></span></div>
						</td></tr>
					</xsl:if>
					<tr><td valign="top">
						<xsl:apply-templates select="PAGED-OBJECT-LIST"/>
					</td></tr>
					<tr style="height:40px;"><td valign="bottom">
						<xsl:apply-templates select="PAGED-OBJECT-LIST/PAGER">
							<xsl:with-param name="maxRecordsPerPage">50</xsl:with-param>
							<xsl:with-param name="tablePadding">0</xsl:with-param>
							<xsl:with-param name="tableStyle">margin-bottom: 5px;</xsl:with-param>
						</xsl:apply-templates>
					</td></tr>
				</table>
			</div>
		</fieldset>
	</xsl:template>

	<xsl:template match="SEARCH-IMAGES-LIST/PAGED-OBJECT-LIST">
		<xsl:choose>
			<xsl:when test="PAGER/TOTAL-RECORDS &gt; 0">
				<xsl:apply-templates select="LIST"/>
			</xsl:when>
			<xsl:otherwise>
				<span  style="padding: 0px 0px 0px 3px;"><xsl:value-of select="MSG-NO-RECORDS"/></span>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="SEARCH-IMAGES-LIST/PAGED-OBJECT-LIST/LIST">
		<div style="width:100%; height: {../../@HEIGHT}px; overflow-y: auto;">
			<xsl:apply-templates select="ITEM"/>
		</div>
	</xsl:template>

	<xsl:template match="SEARCH-IMAGES-LIST/PAGED-OBJECT-LIST/LIST/ITEM">
		<div style="float: left; width: 120px; height: 145px; padding: 0px 10px 10px 0px; text-align: center;">
			<div id="image_{ID}_container" style="padding: 4px 4px 4px 4px; background-color: #FFFFFF;">
				<div style="cursor: pointer; background-color: #FFFFFF;">
					<table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%;">
						<tr style="height: 110px;">
							<td style="text-align: center; vertical-align: bottom;">
								<img id="image_{ID}_source" src="{THUMBNAIL-110-URL}" width="{round(THUMBNAIL-110-WIDTH)}px" height="{round(THUMBNAIL-110-HEIGHT)}px" style="border: 1px solid #B9B9B9;"/>
							</td>
						</tr>
						<tr>
							<td style="text-align: center; white-space: nowrap;">
								#<xsl:value-of select="ID"/>
							</td>
						</tr>
					</table>
				</div>
			</div>
		</div>
		<script language="javascript">
			self.parent.fotoliaSearchFormManager.imagesList.registerImage('<xsl:value-of select="ID"/>');
		</script>
	</xsl:template>

</xsl:stylesheet>