<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>
	<xsl:strip-space elements="*"/>

	<xsl:template match="SITEBUILDER-PAGE">
		<xsl:apply-templates select="VIEW-CONTENT"/>
	</xsl:template>

	<xsl:template match="VIEW-CONTENT">
		<xsl:apply-templates select="/SITEBUILDER-PAGE/STATUS" mode="admin"/>
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="FOTOLIA-LOGIN">
		<script type="text/javascript" language="javascript">
			<xsl:choose>
				<xsl:when test="/SITEBUILDER-PAGE/STATUS">
					self.parent.fotoliaPurchaseImageFormManager.changeFormSize(600, 340);
				</xsl:when>
				<xsl:otherwise>
					self.parent.fotoliaPurchaseImageFormManager.changeFormSize(600, 290);
				</xsl:otherwise>
			</xsl:choose>
		</script>
		<form name="fotoliaLoginForm" method="post" enctype="multipart/form-data">
			<input type="image" style="border-width: 0px; height: 0px; width: 0px;"/>
			<xsl:apply-templates select="REGISTRATION"/>
			<xsl:apply-templates select="LOGIN"/>
		</form>
	</xsl:template>

	<xsl:template match="FOTOLIA-LOGIN/REGISTRATION">
		<fieldset>
			<legend><xsl:value-of select="@TITLE"/></legend>
			<div class="fieldset-block">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td style="padding-top: 5px;">
							<xsl:value-of select="REGISTRATION-TEXT"/>
						</td>
					</tr>
					<tr>
						<td align="right" style="padding-top: 5px;">
							<xsl:apply-templates select="CONTROL[@TYPE='BUTTON']" mode="fotoliaRegistration"/>
						</td>
					</tr>
				</table>
			</div>
		</fieldset>
	</xsl:template>

	<xsl:template match="CONTROL[@TYPE='BUTTON']" mode="fotoliaRegistration">
		<a href="{@HREF}" target="_blank" id="registerNowLink" style="display: none;">
			<xsl:value-of select="@TITLE"/>
		</a>
		<a href="{@HREF}" target="_blank" style="text-decoration: none;">
			<xsl:call-template name="BUTTON-CONTROL">
				<xsl:with-param name="title"><xsl:value-of select="@TITLE"/></xsl:with-param>
				<xsl:with-param name="action">clickLinkIE('registerNowLink');</xsl:with-param>
			</xsl:call-template>
		</a>
	</xsl:template>

	<xsl:template match="FOTOLIA-LOGIN/LOGIN">
		<fieldset>
			<legend><xsl:value-of select="@TITLE"/></legend>
			<div class="fieldset-block">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td style="padding-top: 5px;">
							<xsl:value-of select="LOGIN-TEXT"/>
						</td>
					</tr>
					<tr>
						<td style="padding-top: 5px;">
							<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
								<tr>
									<td class="title-block"><xsl:apply-templates select="CONTROL[@NAME='fotoliaLogin']" mode="label"/></td>
									<td class="input-block">
										<xsl:apply-templates select="CONTROL[@NAME='fotoliaLogin']" mode="control"/>
									</td>
								</tr>
								<tr>
									<td class="title-block"><xsl:apply-templates select="CONTROL[@NAME='fotoliaPassword']" mode="label"/></td>
									<td class="input-block">
										<xsl:apply-templates select="CONTROL[@NAME='fotoliaPassword']" mode="control"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td style="padding-top: 5px;">
							<table width="100%" border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td>
										<xsl:apply-templates select="FORGOT-PASSWORD"/>
									</td>
									<td align="right">
										<input type="hidden" name="returnView" value=""/>
										<script type="text/javascript" language="javascript">
											self.document.forms.fotoliaLoginForm.returnView.value = self.parent.fotoliaPurchaseImageFormManager.getCurrentView();
										</script>
										<xsl:apply-templates select="CONTROL[@TYPE='BUTTON']">
											<xsl:with-param name="action">
												self.document.forms.fotoliaLoginForm.submit();
											</xsl:with-param>
										</xsl:apply-templates>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</div>
		</fieldset>
	</xsl:template>

	<xsl:template match="FOTOLIA-LOGIN/LOGIN/FORGOT-PASSWORD">
		<a class="sb-fotolia-link" href="{@HREF}" target="_blank">
			<xsl:value-of select="."/>
		</a>
	</xsl:template>

</xsl:stylesheet>