<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>
	<xsl:strip-space elements="*"/>

	<xsl:template match="SITEBUILDER-PAGE">
		<xsl:apply-templates select="VIEW-CONTENT"/>
	</xsl:template>

	<xsl:template match="VIEW-CONTENT">
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="SELECT-IMAGE">
		<script src='/js/externals/tooltip.js?{$version}.{$build}' type='text/javascript'></script>
		<script src='/js/sb_tooltip.js?{$version}.{$build}' type='text/javascript'></script>
		<script src='/js/util.js?{$version}.{$build}' type='text/javascript'></script>
		<script src='/modules/Fotolia/js/searchFormManager.js?{$version}.{$build}' type='text/javascript'></script>
		<script src='/modules/Fotolia/js/searchForm.js?{$version}.{$build}' type='text/javascript'></script>
		<script src='/modules/Fotolia/js/searchFormImageList.js?{$version}.{$build}' type='text/javascript'></script>
		<script src='/modules/Fotolia/js/searchFormImage.js?{$version}.{$build}' type='text/javascript'></script>
		<script src='/modules/Fotolia/js/category.js?{$version}.{$build}' type='text/javascript'></script>
		<table border="0" style="width:100%; height:100%;">
			<tr>
				<td valign="top" style="padding: 10px;">
					<table border="0" style="width:100%; height:100%;">
						<tr style="height:50px;">
							<td valign="top">
								<div id="fotoliaSearchForm" style="width: 100%;">
									<span>&#160;</span>
								</div>
							</td>
						</tr>
						<tr>
							<td valign="top" style="padding: 5px 0px 0px 0px;">
								<div id="fotoliaCategoriesList" style="width:100%; height:100%; display: none;">
									<xsl:apply-templates select="TAB-PANEL"/>
								</div>
								<div id="fotoliaImagesList" style="width:100%; height:100%; display: none;">
									<span>&#160;</span>
								</div>
							</td>
						</tr>
						<tr>
							<td>
								<div class="form-separator"><span></span></div>
								<xsl:call-template name="OK-CANCEL-BUTTONS">
									<xsl:with-param name="okAction">self.parent.fotoliaSearchFormManager.ok();</xsl:with-param>
									<xsl:with-param name="cancelAction">self.parent.fotoliaSearchFormManager.close();</xsl:with-param>
								</xsl:call-template>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<script type="text/javascript" language="javascript">
			initSearchFormManager();
			<xsl:apply-templates select="@SELECTED-IMAGE-ID"/>
		</script>
	</xsl:template>

	<xsl:template match="SELECT-IMAGE/@SELECTED-IMAGE-ID">
		self.parent.fotoliaSearchFormManager.setSelectedImageId('<xsl:value-of select="."/>');
	</xsl:template>

	<xsl:template match="REPRESENTATIVE-CATEGORY-CONTAINER">
		<table border="0" style="width:100%; height:300px;">
			<tr>
				<td>
					<div id="fotoliaRepresentativeCategoryContainer" style="width:100%; height:100%;">
					</div>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="CONCEPTUAL-CATEGORY-CONTAINER">
		<table border="0" style="width:100%; height:300px;">
			<tr>
				<td>
					<div id="fotoliaConceptualCategoryContainer" style="width:100%; height:100%;">
					</div>
				</td>
			</tr>
		</table>
	</xsl:template>

</xsl:stylesheet>