<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>
	<xsl:strip-space elements="*"/>

	<xsl:template match="SITEBUILDER-PAGE">
		<xsl:apply-templates select="STATUS" mode="admin"/>
		<xsl:apply-templates select="VIEW-CONTENT"/>
	</xsl:template>

	<xsl:template match="VIEW-CONTENT">
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="SELECT-LICENSE">
		<script type="text/javascript" src="/js/list.js?{$version}.{$build}"/>
		<script src='/modules/Fotolia/js/license.js?{$version}.{$build}' type='text/javascript'></script>
		<table border="0" style="width:100%;">
			<tr height="100px">
				<td align="center" valign="top" style="padding: 0 1px;">
					<xsl:apply-templates select="IMAGE"/>
					<script type="text/javascript" language="javascript">
						updateFotoliaLicenseFormSize(
							800,
							160 + 20 * <xsl:value-of select="count(LIST/ITEM)"/>,
							<xsl:value-of select="IMAGE/@WIDTH"/>,
							<xsl:value-of select="IMAGE/@HEIGHT"/>
						);
					</script>
				</td>
			</tr>
			<tr>
				<td valign="top" style="padding: 0;">
					<form name="fotoliaSelectLicenseForm" method="post" enctype="multipart/form-data">
						<xsl:apply-templates select="LIST"/>
					</form>
				</td>
			</tr>
			<tr>
				<td align="right" style="padding: 5px 0px 0px 0px;">
					<xsl:apply-templates select="CONTROL[@TYPE='BUTTON']">
						<xsl:with-param name="id">fotoliaNextButton</xsl:with-param>
						<xsl:with-param name="title"><xsl:value-of select="CONTROL[@TYPE='BUTTON']/@TITLE"/> &#0062;&#0062;</xsl:with-param>
						<xsl:with-param name="action">
							self.parent.fotoliaPurchaseImageFormManager.openConfirmationStep();
						</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
		</table>
		<script type="text/javascript" language="javascript">
			disableButton($('fotoliaNextButton'));
			self.parent.fotoliaPurchaseImageFormManager.setLicense(null);
			observeListRowsHighlight();
			<xsl:apply-templates select="LIST/ITEM" mode="init"/>
		</script>
	</xsl:template>

	<xsl:template match="SELECT-LICENSE/IMAGE">
		<div id="fotoliaLicenseImageContainer" style="border: solid 1px #D6D6D6; background-color:#EFEFEF;">
			<img src="{.}" width="{@WIDTH}" height="{@HEIGHT}"/>
		</div>
	</xsl:template>

	<xsl:template match="SELECT-LICENSE/LIST">
			<div class="scroll-table">
				<table class="list-table" cellspacing="0" cellpadding="0" border="0">
					<xsl:apply-templates select="HEADER"/>
					<xsl:apply-templates select="ITEM"/>
				</table>
			</div>
	</xsl:template>

	<xsl:template match="SELECT-LICENSE/LIST/HEADER">
		<tr class="fixed">
			<th style="width: 1%; text-align: center;"><div></div></th>
			<th style="width: 1%; text-align: center;"><div></div></th>
			<th style="width: 30%; text-align: center;"><div><xsl:value-of select="LICENSE-NAME"/></div></th>
			<th style="width: 18%; text-align: center;"><div><xsl:value-of select="LICENSE-PRICE"/></div></th>
			<th style="width: 50%; text-align: center;"><div><xsl:value-of select="LICENSE-RESOLUTION"/></div></th>
		</tr>
	</xsl:template>

	<xsl:template match="SELECT-LICENSE/LIST/ITEM">
		<tr id="fotoliaLicenseContainer_{LICENSE-CODE}" style="cursor: pointer;">
			<xsl:attribute name="class">
				<xsl:choose>
					<xsl:when test="position() mod 2">list-table-row</xsl:when>
					<xsl:otherwise>list-table-row-alter</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<td>
				<xsl:call-template name="RADIO" mode="control">
					<xsl:with-param name="name">license</xsl:with-param>
					<xsl:with-param name="value" select="LICENSE-CODE"/>
					<xsl:with-param name="checked" select="SELECTED"/>
					<xsl:with-param name="id">fotoliaLicenseInput_<xsl:value-of select="LICENSE-CODE"/></xsl:with-param>
				</xsl:call-template>
			</td>
			<td>
				<img width="15" height="15" src="/modules/Fotolia/images/{LICENSE-CODE}.gif"/>
			</td>
			<td><xsl:value-of select="LICENSE-NAME"/></td>
			<td><xsl:value-of select="LICENSE-PRICE"/></td>
			<td><xsl:value-of select="LICENSE-RESOLUTION"/></td>
		</tr>
	</xsl:template>

	<xsl:template match="SELECT-LICENSE/LIST/ITEM" mode="init">
		InitLicense(
			'fotoliaLicenseContainer_<xsl:value-of select="LICENSE-CODE-JS-SAFE"/>',
			'fotoliaLicenseInput_<xsl:value-of select="LICENSE-CODE-JS-SAFE"/>',
			'<xsl:value-of select="LICENSE-CODE-JS-SAFE"/>',
			'<xsl:value-of select="LICENSE-PRICE-JS-SAFE"/>',
			'<xsl:value-of select="LICENSE-RESOLUTION-JS-SAFE"/>'
		);
	</xsl:template>

</xsl:stylesheet>